package tr.gov.titck.recete.encryptor.Utils;

import org.bouncycastle.asn1.pkcs.PrivateKeyInfo;
import org.bouncycastle.crypto.util.PrivateKeyFactory;

public class RenkliRsaPrivateKey extends RenkliKey
{
  public RenkliRsaPrivateKey() {}
  
  public final void setKey(PrivateKeyInfo pki) throws java.io.IOException
  {
    byte[] data = pki.getEncoded();
    super.setKey(PrivateKeyFactory.createKey(data));
  }
}
